BCSP(4) | Device Drivers Manual | BCSP(4)

# NAME

`bcsp` —
BlueCore Serial Protocol driver

# SYNOPSIS

`pseudo-device bcsp`

# DESCRIPTION

The `bcsp` driver provides a tty(4) line discipline to send and receive BlueCore Serial Protocol packets over a serial line, as described in the “BlueCore Serial Protocol (BCSP)” specification.

Moreover, the `bcsp` supports BCSP Link Establishment Protocol, as described in the “BCSP Link Establishment Protocol” specification.

The btattach(8) program is used to configure the tty line and create the `bcsp` driver instance.

# SEE ALSO

bluetooth(4), btuart(4), btattach(8)

# HISTORY

The `bcsp` device appeared in NetBSD 5.0.

# AUTHORS

KIYOHARA Takashi <kiyohara@kk.iij4u.or.jp>

# BUGS

`bcsp` does not support configuration for baud rate yet.

August 23, 2009 | NetBSD 10.0